# Interface TCPClient

All Known Implementing Classes:
  `AbstractTCPClient, BinaryTCPClientImpl, LengthPrefixedBinaryTCPClientImpl, TCPClientDecorator, TCPClientImpl`

public interface TCPClient
Interface required by TCPSampler for TCPClient implementations.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCharset()`
Get the charset.
`byte`
`getEolByte()`
Get the end-of-line/end-of-message byte.
`String`
`read(InputStream is)`
`void`
`setEolByte(int eolInt)`
Set the end-of-line/end-of-message byte.
`void`
`setupTest()`
Versions of JMeter after 2.3.2 invoke this method when the thread starts.
`void`
`teardownTest()`
Versions of JMeter after 2.3.2 invoke this method when the thread ends.
`void`
`write(OutputStream os, InputStream is)`
`void`
`write(OutputStream os, String s)`

## Method Details

### setupTest

void setupTest()
Versions of JMeter after 2.3.2 invoke this method when the thread starts.

### teardownTest

void teardownTest()
Versions of JMeter after 2.3.2 invoke this method when the thread ends.

### write

void write(OutputStream os, InputStream is) throws IOException

Parameters:
  `os` - - OutputStream for socket
  `is` - - InputStream to be written to Socket
Throws:
  `IOException` - when writing fails

### write

void write(OutputStream os, String s) throws IOException

Parameters:
  `os` - - OutputStream for socket
  `s` - - String to write
Throws:
  `IOException` - when writing fails

### read

String read(InputStream is) throws ReadException

Parameters:
  `is` - - InputStream for socket
Returns:
  String read from socket
Throws:
  `ReadException` - exception that can contain partial response (Response until error occured)

### getEolByte

byte getEolByte()
Get the end-of-line/end-of-message byte.

Returns:
  Returns the eolByte.

### getCharset

String getCharset()
Get the charset.

Returns:
  Returns the charset.

### setEolByte

void setEolByte(int eolInt)
Set the end-of-line/end-of-message byte. If the value is out of range of a byte, then it is to be ignored.

Parameters:
  `eolInt` - The value to set